# Uses of Class
org.eclipse.swt.events.SegmentEvent

Packages that use SegmentEvent
Package
Description
org.eclipse.jface.util
Provides useful building blocks used throughout JFace, including property change events, a listener list implementation, and runtime checked assertions.
org.eclipse.swt.custom
SWT Custom widgets.
org.eclipse.swt.events
SWT typed listener support.

## Uses of SegmentEvent in org.eclipse.jface.util

Methods in org.eclipse.jface.util with parameters of type SegmentEvent
Modifier and Type
Method
Description
`void`
StructuredTextSegmentListener.`getSegments(SegmentEvent event)`

## Uses of SegmentEvent in org.eclipse.swt.custom

Subclasses of SegmentEvent in org.eclipse.swt.custom
Modifier and Type
Class
Description
`class`
`BidiSegmentEvent`
This event is sent to BidiSegmentListeners when a line is to be measured or rendered in a bidi locale.

## Uses of SegmentEvent in org.eclipse.swt.events

Methods in org.eclipse.swt.events with parameters of type SegmentEvent
Modifier and Type
Method
Description
`void`
SegmentListener.`getSegments(SegmentEvent event)`
This method is called when text content is being modified.